<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_w" name="index_w"></a>- w -</h3><ul>
<li>WithBaseClass()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aaf70874d3fd1c921a49a9b7254e399b3">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>WithBody()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#acac08aa679e39effb0c0caf364d82723">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#abc2306c7d9d821673379748eacd82752">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>WithClass()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#ab73987cf5f70a50fe77734dd18448860">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>WithComment()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a4a7561a868264d80a960c90d35f2a38c">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a3abc6e3365afee61a00a443ac4916871">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>WithDefVal()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a849fc8e3045bd4a695b9ee48c7973cc7">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></li>
<li>WithGetter()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#ab4bd571ddf26a2ec7a4f897978a33514">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></li>
<li>WithMethodBody()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#ab0d6ef449051c570b2b6d690f03b0fdb">xAPI_Definitions_Parser.Code.SyntaxTree.Getter</a></li>
<li>WithName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a3917b862fa96b53114631ac080b92bbb">xAPI_Definitions_Parser.Code.SyntaxTree.Argument</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aa35ac900d19d3316e97158937d5f71df">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#af09c4cd829cd420edae46c748fd2e7eb">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a06500665a1eb2377f69e507f19616f5d">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a61e44db374454add0e25d44e0f125c25">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ad473be65a9821f64d91fd5167a807e86">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>WithNamespace()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a44750b5efbf9c63d9690930dd41b7372">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>WithSource()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#ad172a21e7587f5f8f918e7af0694eacc">xAPI_Definitions_Parser.Code.SyntaxTree.Import</a></li>
<li>WithTarget()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#a883bbc36ed87aee13abb6f32585aae17">xAPI_Definitions_Parser.Code.SyntaxTree.Import</a></li>
<li>WithType()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a957451d0663c2f43d2fea525af1bec43">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aaf4a479aeacb4a0199e67f671873a330">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a3788cfc58d0dd753f33f6a7824f72ebd">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a364efcb7adabe7f870b7c4405d143581">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ab2efd4607fc9fd52bf22827710559b91">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>WithValue()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#ab52785b366617c7ca28b594ce86af6d3">xAPI_Definitions_Parser.Code.SyntaxTree.Argument</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#a3f8bac083edf142f2fca1e513826b9da">xAPI_Definitions_Parser.Code.SyntaxTree.Statement</a></li>
<li>WriteCodeFiles()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#aad650debb00c5eea5b1de746e274bcac">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#afacb3f9741a8c71d148358cae1d076a0">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>WriteCodeFilesAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a461eb934eca7e22be0347d919ca921a6">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>WriteFiles()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#af0d826758f50f5a5474634ee0ea40e5c">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#ae60a8c54b4da2462ea1d6243c3eb21d6">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ab3e089e7caba82eee85704f8268dde11">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>WriteFilesAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a6971242eee862e80da0d85e7408c301b">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#a5aac4c6f48f51ea45a2c4558b5801029">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a9a4642da4638c7ae1a1d27d9efffcc88">xAPI_Definitions_Parser.IO.IOManager</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
